com.intellectualcrafters.plot.util

## Class Lag

- java.lang.Object
- - com.intellectualcrafters.plot.util.Lag

- All Implemented Interfaces:
    java.lang.Runnable

      public class Lag
      extends java.lang.Object
      implements java.lang.Runnable

  TPS and Lag Checker.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `LT` something :_:
    `static long[]` | `T` Ticks
    `static int` | `TC` Tick count

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `getElapsed(int tI)` Get number of ticks since
    `static double` | `getFullPercentage()` Get TPS percentage (of 20)
    `static double` | `getPercentage()` Get lag percentage
    `static double` | `getTPS()` Get the server TPS
    `static double` | `getTPS(int ticks)` Return the tick per second (measured in $ticks)
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TC

          public static int TC

      Tick count

    - #### T

          public static long[] T

      Ticks

    - #### LT

          public static long LT

      something :_:

  - ### Constructor Detail

    - #### Lag

          public Lag()

  - ### Method Detail

    - #### getTPS

          public static double getTPS()

      Get the server TPS
      Returns:
        server tick per second

    - #### getTPS

          public static double getTPS(int ticks)

      Return the tick per second (measured in $ticks)
      Parameters:
        `ticks` - Ticks
      Returns:
        ticks per second

    - #### getElapsed

          public static long getElapsed(int tI)

      Get number of ticks since
      Parameters:
        `tI` - Ticks <
      Returns:
        number of ticks since $tI

    - #### getPercentage

          public static double getPercentage()

      Get lag percentage
      Returns:
        lag percentage

    - #### getFullPercentage

          public static double getFullPercentage()

      Get TPS percentage (of 20)
      Returns:
        TPS percentage

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`